summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Yth - Arnaud2017-10-14 15:26:30 +0200
committer David Spencer2017-10-14 15:47:01 +0200
commit45ed6c8695242a1f1b1a9026789b17c2ee351404 (patch)
tree7e9f66f053d6ed32218e6163aee8dc1611a391b8 /development
parentd16e844a211d0d11dd3e241c4c137c882c37cdba (diff)
downloadslackbuilds-45ed6c8695242a1f1b1a9026789b17c2ee351404.tar.gz
development/argagg: Added (Argument Aggregator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/argagg/README10
-rw-r--r--development/argagg/argagg.SlackBuild97
-rw-r--r--development/argagg/argagg.info10
-rw-r--r--development/argagg/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/development/argagg/README b/development/argagg/README
new file mode 100644
index 0000000000..940fd1520e
--- /dev/null
+++ b/development/argagg/README
@@ -0,0 +1,10 @@
+argagg is yet another C++ command line argument/option parser. It was
+written as a simple and idiomatic alternative to other frameworks like
+getopt, Boost program options, TCLAP, and others. The goal is to
+achieve the majority of argument parsing needs in a simple manner with
+an easy to use API. It operates as a single pass over all arguments,
+recognizing flags prefixed by - (short) or -- (long) and aggregating
+them into easy to access structures with lots of convenience functions.
+It defers processing types until you access them, so the result
+structures end up just being pointers into the original command line
+argument C-strings.
diff --git a/development/argagg/argagg.SlackBuild b/development/argagg/argagg.SlackBuild
new file mode 100644
index 0000000000..9d022544af
--- /dev/null
+++ b/development/argagg/argagg.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+# Slackware build script for argagg
+#
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=argagg
+VERSION=${VERSION:-0.4.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGELOG LICENSE README.md"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DARGAGG_BUILD_EXAMPLES=OFF \
+ -DARGAGG_BUILD_TESTS=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/argagg/argagg.info b/development/argagg/argagg.info
new file mode 100644
index 0000000000..2ac34b819f
--- /dev/null
+++ b/development/argagg/argagg.info
@@ -0,0 +1,10 @@
+PRGNAM="argagg"
+VERSION="0.4.6"
+HOMEPAGE="https://github.com/vietjtnguyen/argagg"
+DOWNLOAD="https://github.com/vietjtnguyen/argagg/archive/0.4.6/argagg-0.4.6.tar.gz"
+MD5SUM="af98335fbc29ff6555b0d66f15825091"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/development/argagg/slack-desc b/development/argagg/slack-desc
new file mode 100644
index 0000000000..b0bc0905a8
--- /dev/null
+++ b/development/argagg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+argagg: argagg (Argument Aggregator)
+argagg:
+argagg: argagg is yet another C++ command line argument/option parser.
+argagg:
+argagg: The goal is to achieve the majority of argument parsing needs
+argagg: in a simple manner with an easy to use API.
+argagg:
+argagg:
+argagg:
+argagg:
+argagg: